/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysimportinfo.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 导入日志信息Entity
 * @author 杨帆
 * @version 2018-04-02
 */
public class SysImportInfo extends DataEntity<SysImportInfo> {
	
	private static final long serialVersionUID = 1L;
	private String url;		// 阿里云URL
	private String fileName;		// 文件名
	private String errInfo;		// 失败原因
	private String errCount;		// 异常数
	private String isTrue;		// 是否成功
	private String modular;		// 导出模块
	private String companyId;		// 公司id
	private String officeId;		// 部门id
	
	public SysImportInfo() {
		super();
	}

	public SysImportInfo(String id){
		super(id);
	}

	@ExcelField(title="阿里云URL", align=2, sort=7)
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
	
	@ExcelField(title="文件名", align=2, sort=8)
	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	
	@ExcelField(title="失败原因", align=2, sort=9)
	public String getErrInfo() {
		return errInfo;
	}

	public void setErrInfo(String errInfo) {
		this.errInfo = errInfo;
	}
	
	@ExcelField(title="异常数", align=2, sort=10)
	public String getErrCount() {
		return errCount;
	}

	public void setErrCount(String errCount) {
		this.errCount = errCount;
	}
	
	@ExcelField(title="是否成功", align=2, sort=11)
	public String getIsTrue() {
		return isTrue;
	}

	public void setIsTrue(String isTrue) {
		this.isTrue = isTrue;
	}
	
	@ExcelField(title="导出模块", align=2, sort=12)
	public String getModular() {
		return modular;
	}

	public void setModular(String modular) {
		this.modular = modular;
	}
	
	@ExcelField(title="公司id", align=2, sort=13)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="部门id", align=2, sort=14)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
}